# chart/vectorFieldChart

Reusable 3D Vector Field Chart

Source:
  - chart/vectorFieldChart.js, line 6
See:
  - https://mathinsight.org/vector_field_overview

##### Example

    let chartHolder = d3.select("#chartholder");

    let myData = [...];

    let vectorFunction = (x, y, z, value) => {
       return {
          vx: Math.pow(x, 2) + y * Math.pow(x, 2),
          vy: Math.pow(y, 2) - x * Math.pow(z, 2),
          vz: Math.pow(z, 2)
       };
    };

    let myChart = d3.x3d.chart.vectorFieldChart()
       .vectorFunction(vectorFunction);

    chartHolder.datum(myData).call(myChart);

### Methods

#### (inner) vectorFunction(x, y, z, value) → {Object}

Vector Field Function

Source:
  - chart/vectorFieldChart.js, line 67

##### Parameters:

Name | Type | Default | Description
--- | --- | --- | ---
`x` | `number` |  |
`y` | `number` |  |
`z` | `number` |  |
`value` | `number` | null |

##### Returns:

Type:
  `Object`